//////////////////////////////////////////////
// System.js
//
//////////////////////////////////////////////

/// Class ------------------------------------
	
nkWinUiTests.System = class System extends nkDebug.TestClass
{
	static instance = new System ("nkWinUiTests.System") ;

	nkTests =
	{
		CreationDestruction : function ()
		{
			// Init
			const s = new nkWinUi.System () ;
			nkDebug.TestUtils.check(s.initialize(), "System initialization failure") ;

			// And shut down
			s.shutdown() ;
			s.delete() ;
		}
	}
}